org.apache.ivy.osgi.repo

## Class EditableRepoDescriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor
  - - org.apache.ivy.osgi.repo.EditableRepoDescriptor

Direct Known Subclasses:
  BundleRepoDescriptor, P2Descriptor, UpdateSiteDescriptor

    public class EditableRepoDescriptor
    extends RepoDescriptor

### Constructor Summary

Constructors
Constructor and Description
`EditableRepoDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

### Method Summary

Methods
`void` `addBundle(BundleInfo bundleInfo)`
`boolean` `equals(java.lang.Object obj)`
`ModuleDescriptorWrapper` `findModule(java.lang.String symbolicName, Version version)`
`java.util.Set<ModuleDescriptorWrapper>` `findModules(java.lang.String requirement, java.lang.String value)`
`java.net.URI` `getBaseUri()`
`java.util.Set<java.lang.String>` `getCapabilities()`
`java.util.Set<java.lang.String>` `getCapabilityValues(java.lang.String capabilityName)`
`int` `getLogLevel()`
`java.util.Iterator<ModuleDescriptorWrapper>` `getModules()`
`int` `hashCode()`
`void` `setLogLevel(int logLevel)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EditableRepoDescriptor

    public EditableRepoDescriptor(java.net.URI baseUri,
                          ExecutionEnvironmentProfileProvider profileProvider)

### Method Detail

#### setLogLevel

    public void setLogLevel(int logLevel)

#### getLogLevel

    public int getLogLevel()

#### getBaseUri

    public java.net.URI getBaseUri()

#### getModules

    public java.util.Iterator<ModuleDescriptorWrapper> getModules()

Specified by:
  `getModules` in class `RepoDescriptor`

#### getCapabilities

    public java.util.Set<java.lang.String> getCapabilities()

Specified by:
  `getCapabilities` in class `RepoDescriptor`

#### findModules

    public java.util.Set<ModuleDescriptorWrapper> findModules(java.lang.String requirement,
                                                     java.lang.String value)

Specified by:
  `findModules` in class `RepoDescriptor`

#### findModule

    public ModuleDescriptorWrapper findModule(java.lang.String symbolicName,
                                     Version version)

#### getCapabilityValues

    public java.util.Set<java.lang.String> getCapabilityValues(java.lang.String capabilityName)

Specified by:
  `getCapabilityValues` in class `RepoDescriptor`

#### addBundle

    public void addBundle(BundleInfo bundleInfo)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`